<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>{%langstr:row_properties%}{%const:long%}</title>
<link rel="stylesheet" href="{%glo:cfgWebRoot%}wysiwyg/dialog.css" type="text/css">
<script type="text/javascript" language="JavaScript">
<!--
function IsDigit(event)
{
  if(!event)
    event = window.event;
  var kc;
  if(event.keyCode)
    kc = event.keyCode;
  else
    kc = event.charCode;
  var allowed = ((kc >= 48) && (kc <= 57))
  if(!allowed)
  {
    if(!window.event)
      event.preventDefault();
    else
      window.event.returnValue = false;
  }
}
function IsLength(event)
{
  if(!event)
    event = window.event;
  var kc;
  if(event.keyCode)
    kc = event.keyCode;
  else
    kc = event.charCode;
  var allowed = (((kc >= 48) && (kc <= 57)) || (kc == 37))
  if(!allowed)
  {
    if(!window.event)
      event.preventDefault();
    else
      window.event.returnValue = false;
  }
}
function UpdateColor(field, box) {
  try {
    box.style.backgroundColor=field.value;
  } catch(e) {
    box.style.backgroundColor='';
  }
}
function GetColor(field, box) {
  var res = showModalDialog( "?module=wysiwyg&action=setcolor",
                             field.value,
                             "font-family:Verdana; font-size:12; dialogWidth:320px; dialogHeight:305px; help:0; status:0; scroll: 0" );
  if (res!=null) {
    field.value = res;
    UpdateColor(field, box);
  }
}
// -->
</script>
<script type="text/javascript" language="JavaScript">
<!--
  function OnLoad()
  {
    for ( elem in window.dialogArguments )
    {
      switch( elem )
      {

      case "TableHeight":
        TableHeight.value = window.dialogArguments["TableHeight"];
        break;

      case "BgColor":
        BgColor.value = window.dialogArguments["BgColor"];
        break;

      }
    }
    UpdateColor(BgColor, xBgColor);
  }
// -->
</script>
<script type="text/javascript" language="JavaScript">
<!--
function OkClick() {
  var arr = {};
  arr["TableHeight"] = TableHeight.value;
  arr["BgColor"] = BgColor.value;
  window.returnValue = arr;
  window.close();
}
// -->
</script>
</head>

<body onload="OnLoad();">

<table width="100%" cellspacing="10">
<tr>
  <td colspan="4" class="title">{%langstr:row_size%}</td>
</tr>
<tr>
  <td>{%langstr:height%}:</td>
  <td><input id="TableHeight" type="TEXT" size="5" name="TableHeight" onkeypress="IsLength(event);"></td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td colspan="4" class="title">{%langstr:row_background%}</td>
</tr>
<tr>
  <td>{%langstr:color%}:</td>
  <td colspan="3"><input size="20" id="BgColor" name="BgColor" onkeyup="UpdateColor(this, xBgColor);"><input type="button" value="..." OnClick="GetColor(BgColor, xBgColor);">&nbsp;<div id="xBgColor" class="colordiv"></div></td>
</tr>
<tr>
  <td colspan="4">&nbsp;</td>
</tr>
<tr>
  <td colspan="4"><p align="right"><input type="button" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="OkClick();">&nbsp;<input type="button" value="{%langstr:cancel%}" OnClick="window.close();"></p></td>
</tr>
</table>

</body>

</html>


